diff --git a/sway/tree/view.c b/sway/tree/view.c
index c9c8240537..7229c72e7a 100644
--- a/sway/tree/view.c
+++ b/sway/tree/view.c
@@ -951,7 +951,8 @@ bool view_is_visible(struct sway_view *view) {
 	while (container->type != C_WORKSPACE) {
 		if (container->parent->layout == L_TABBED ||
 				container->parent->layout == L_STACKED) {
-			if (seat_get_active_child(seat, container->parent) != container) {
+			if (container->layout != L_FLOATING && seat_get_active_child(seat,
+					container->parent) != container) {
 				return false;
 			}
 		}
